package com.hzya.frame.cbs8.service;

import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/6/7 14:20
 **/
public interface ICbs8ExtService {

    /**
     * 支付经办
     * @param entity
     * @return
     */
    SysExtensionApiEntity payApply(SysExtensionApiEntity entity);

    /**
     * 代发代扣 支付申请
     * @param entity
     * @return
     */
    SysExtensionApiEntity agentPayApply(SysExtensionApiEntity entity);

    /**
     * 交易结果查询
     * @param entity
     * @return
     */
    SysExtensionApiEntity payResult(SysExtensionApiEntity entity);

    /**
     * 交易明细查询
     * @param entity
     * @return
     */
    SysExtensionApiEntity transactionDetailQuery(SysExtensionApiEntity entity);
    /**
     * 代发代扣
     * @param entity
     * @return
     */
    SysExtensionApiEntity payApplyAgent(SysExtensionApiEntity entity);

    /**
     * 代发代扣结果查询
     * @param entity
     * @return
     */
    SysExtensionApiEntity payApplyAgentResult(SysExtensionApiEntity entity);

    /**
     * 电子回单查询
     * @param entity
     * @return
     */
    SysExtensionApiEntity elecQuery(SysExtensionApiEntity entity);

}
